package com.sooka.system.funeral.pay.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 市殡葬-缴费基本信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiPay extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 业务条码 */
    @Excel(name = "业务条码" )
    private String BNO;

    /** 逝者姓名 */
    @Excel(name = "逝者姓名" )
    private String DNAME;

    /** 性别 */
    @Excel(name = "性别" )
    private String DSEX;

    /** 年龄 */
    @Excel(name = "年龄" )
    private String DAGE;

    /** 民族 */
    @Excel(name = "民族" )
    private String DMZ;

    /** 身份证号 */
    @Excel(name = "身份证号" )
    private String DSFZH;

    /** 户籍住址 */
    @Excel(name = "户籍住址" )
    private String ADDRESS;

    /** 死亡时间 */
    @Excel(name = "死亡时间" )
    private String DTIME;

    /** 联系人 */
    @Excel(name = "联系人" )
    private String LINKMAN;

    /** 联系电话 */
    @Excel(name = "联系电话" )
    private String LINKMANPHONE;

    /** 减免项目（低保减免套餐、两区减免套餐、遗体接运、遗体火化、遗体停放、骨灰寄存） */
    @Excel(name = "减免项目（低保减免套餐、两区减免套餐、遗体接运、遗体火化、遗体停放、骨灰寄存）" )
    private String JMTYPE;

    /** 序号 */
    @Excel(name = "序号" )
    private String NO;

    /** 费用类型 */
    @Excel(name = "费用类型" )
    private String ITEMTYPE;

    /** 项目名称 */
    @Excel(name = "项目名称" )
    private String ITEMNAME;

    /** 单价（元） */
    @Excel(name = "单价（元）" )
    private String PRICE;

    /** 数量 */
    @Excel(name = "数量" )
    private String ITEMCOUNT;

    /** 金额 */
    @Excel(name = "金额" )
    private String SUMMONEY;

    /** 登记时间（YYYY-MM-DD HH:MM) */
    @Excel(name = "登记时间（YYYY-MM-DD HH:MM)" )
    private String OPERTM;

    /** 登记人 */
    @Excel(name = "登记人" )
    private String OPERID;

    /** 登记单位 */
    @Excel(name = "登记单位" )
    private String OPERDW;

    public String getBno()
    {
        return BNO;
    }

    public String getDname()
    {
        return DNAME;
    }

    public String getDsex()
    {
        return DSEX;
    }

    public String getDage()
    {
        return DAGE;
    }

    public String getDmz()
    {
        return DMZ;
    }

    public String getDsfzh()
    {
        return DSFZH;
    }

    public String getAddress()
    {
        return ADDRESS;
    }

    public String getDtime()
    {
        return DTIME;
    }

    public String getLinkman()
    {
        return LINKMAN;
    }

    public String getLinkmanphone()
    {
        return LINKMANPHONE;
    }

    public String getJmtype()
    {
        return JMTYPE;
    }

    public String getNo()
    {
        return NO;
    }

    public String getItemtype()
    {
        return ITEMTYPE;
    }

    public String getItemname()
    {
        return ITEMNAME;
    }

    public String getPrice()
    {
        return PRICE;
    }

    public String getItemcount()
    {
        return ITEMCOUNT;
    }

    public String getSummoney()
    {
        return SUMMONEY;
    }

    public String getOpertm()
    {
        return OPERTM;
    }

    public String getOperid()
    {
        return OPERID;
    }

    public String getOperdw()
    {
        return OPERDW;
    }
}
